/*
 * (c) 2010-2014, SWD Embedded Systems Limited, http://www.kpda.ru
 */


static inline uint32_t io_read( uintptr_t port )
{
    return in8( port );
}


static inline void io_write( uintptr_t port, uint32_t val )
{
    out8( port, (uint8_t)val );
}


static inline uint32_t mem_read( uintptr_t port )
{
    return (*(volatile uint8_t*)port);
}


static inline void mem_write( uintptr_t port, uint32_t val )
{
    (*(volatile uint8_t*)port) = (uint8_t)val;
}


static inline uint32_t mem_read32( uint32_t *port )
{
    return (*(volatile uint32_t*)port);
}


static inline void mem_write32( uint32_t *port, uint32_t val )
{
    (*(volatile uint32_t*)port) = (uint32_t)val;
}
