/*
 * (c) 2010-2014, SWD Embedded Systems Limited, http://www.kpda.ru
 */


#include "externs.h"


/* Should query configuration manager for port assignments */
void * query_default_device( TTYINIT *dip, void *link )
{
    switch ( (unsigned)link )
    {
        case 0:
            dip->port       = 0x3f8;
            dip->port_shift = 0;
            dip->intr       = 4;
            return (void *)1;
        case 1:
            dip->port       = 0x2f8;
            dip->port_shift = 0;
            dip->intr       = 3;
            return (void *)2;
    }

    return (NULL);
}
